precision lowp float;

varying highp vec2 vTextureCoord;
uniform highp vec4 colorStart;
uniform highp vec4 colorEnd;
uniform lowp float vertical;

void main() {
    vec2 uv = vTextureCoord;
    vec4 color;
    if (vertical == 1.0) {
        color = mix(colorStart, colorEnd, uv.x);
    } else {
        color = mix(colorStart, colorEnd, uv.y);
    }
    gl_FragColor = color;
}